org.eclipse.mat.query

## Interface IIconProvider

All Known Implementing Classes:
  BundleRegistryQuery.BundleTreeResult, BundleRegistryQuery.ExtensionTreeResult, BundleRegistryQuery.ServicesTreeResult, ClassReferrersQuery.InboundClasses, ClassReferrersQuery.OutboundClasses, CompareTablesQuery.TableComparisonResult, DuplicatedClassesQuery, Histogram, Histogram.ClassLoaderTree, Histogram.PackageTree, Histogram.SuperclassTree, ImmediateDominatorsQuery.ResultImpl, ListResult, ObjectListResult.Inbound, ObjectListResult.Outbound, Path2GCRootsQuery.Tree, PropertyResult, RefinedStructuredResult, RefinedTable, RefinedTree, UnreachableObjectsHistogram

    public interface IIconProvider

Interface to provide icon representation for rows of a `IStructuredResult`.

See `Icon` `ImageHelper` for well-known icons. To add custom icons, place the GIF file in your class path and return the resource URL:

Example

     private static final URL SCA = SCAQuery.class.getResource("/META-INF/icons/sca.gif");

     public URL getIcon(Object row)
     {
         if (row instanceof SCA)
             return SCA;
         return null;
     }

### Field Summary

Fields
`static IIconProvider` `EMPTY`

### Method Summary

All Methods Instance Methods Abstract Methods
`URL` `getIcon(Object row)`

### Field Detail

#### EMPTY

    static final IIconProvider EMPTY

### Method Detail

#### getIcon

    URL getIcon(Object row)